Figure - Bug #113779
00 Test-ST#113421 (New): V400 0O O OO0
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O

O AFO O EVT20 O Monkeyd Monkeyd 0 100 O O O O CRASH: com.android.gallery3dd 20
2022-11-08 11:06 - CD Test(] [J

D.X101.2

Status: CLOSED Start date: 2022-11-08
Priority: Normal Due date: 2022-11-15
Assignee: CD Test O % Done: 100%
Category: CD-APP Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.0
Resolution: FIXED Degrated: No
Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-14
Test Type: Monkey Test Root cause: AOSPO O
Description

oooood

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

gooooo

// CRASH: com.android.gallery3d (pid 22298)

// Short Msg: java.lang.NullPointerException

// Long Msg: java.lang.NullPointerException: Attempt to read from field 'java.util. Vector
com.android.gallery3d.filtershow.pipeline.ImagePreset.mFilters' on a null object reference
// Build Label: TC/figure_ CN/figure:12/SKQ1.220201.001/1299:user/test-keys

// Build Changelist;: 1299

// Build Time: 1667581939000

// java.lang.NullPointerException: Attempt to read from field ‘java.util.Vector com.android.gallery3d.filtershow.pipeline.ImagePreset. mFilters'

on a null object reference
at com.android.gallery3d.filtershow.pipeline.ImagePreset.<init>(ImagePreset.java:70)

at com.android.gallery3d.filtershow.FilterShowActivity.useFilterRepresentation(FilterShowActivity.java:635)

at com.android.gallery3d.filtershow.FilterShowActivity.showRepresentation(FilterShowActivity.java:682)

at com.android.gallery3d.filtershow.category.CategoryView.onClick(CategoryView.java:160)

at android.view.View.performClick(View.java:7441)

at android.view.View.performClickInternal (View.java:7418)

at android.view.View.access$3700(View.java:835)

at android.view.View$PerformClick.run(View.java:28681)

at android.os.Handler.handleCallback(Handler.java:938)

at android.os.Handler.dispatchMessage(Handler.java:99)

at android.os.Looper.loopOnce(Looper.java:201)

at android.os.Looper.loop(Looper.java:288)

at android.app.ActivityThread.main(Activity Thread.java:7880)

at java.lang.reflect. Method.invoke(Native Method)

at com.android.internal.os.Runtimelnit$MethodAndArgsCaller.run(Runtimelnit.java:548)
at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:1009)
History

#1-2022-11-1020:46 - CD APP-0 O O
- Status changed from New to ASSIGNED
- Assignee changed from CD APP-[0 0 to CD APP-00 0 O

#2-2022-11-1115:16 - CD APP-0 O O
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED
- Degrated changed from -- to No

- Fixed Version set to 2022-11-12

- Root cause set to AOSPO O

m My analysis

00000000Primarylmagepresetd 0 000000000

m Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/161967/4

#3-2022-11-1509:26 - CD APP-C O O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-[0 0 O to CD Test() O
- Fixed Version changed from 2022-11-12 to 2022-11-14

#4 - 2022-11-16 10:59 - CD Testd O

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CD Test[] [0 to CD APP-00 0O O
- % Done changed from 100 to 40

110 150 Release] O Ouserd O O O O O 10
Log FTPO
ftp://cdiot@192.168.87.46/Pre_figure/Test Log/Bug_113779/Tlog.zip

#5 - 2022-11-16 19:49 - CDTS-TEST O O
- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#6 - 2022-11-17 16:09 - CD APP-0 O
- Status changed from ASSIGNED to NEED_INFO
- Assignee changed from CD APP-0 O 0 to CD Testd O

OftpO00Ilog0 OO0 TogO 160 000000000 crashD 0000000 OGaleryD OO0 OmonkeylOOOOOOODOOODOOOOOOuserDOO
goooooooooooo

#7 - 2022-11-18 10:46 - CD Testd
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/161967/4
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113779/Tlog.zip

110 170 Released O Ouserd OO OO OO
#8 - 2022-11-28 17:33 - CD TestO O
- Status changed from NEED_INFO to RESOLVED
- % Done changed from 40 to 80

g0 0001n0240000000000
#9 - 2022-11-28 17:34 - CD Testd O
- Status changed from RESOLVED to VERIFIED

#10 - 2022-11-28 17:34 - CD Testd O
- Status changed from VERIFIED to CLOSED
- % Done changed from 80 to 100

#11 - 2022-12-22 20:52 - CD FW-0 O

Gerrit Merge Informationd

1D Project Branch Uploader
161967 general/platform/packages/apps/Galler | Pre_figure_turbox-c2130c-lal.1-gssi12 | lids1211@thundersoft.com
y2 -dev

FW:Gallery2: Fix NPE 1137791. No preset is set when the filter is clicked. TC-RID:
11c294e0727bc9396939da71acf823265e6ec85da

1201-0300701IssuelD: TS-R-BUG-113779Change-Id:

Files

Tlog.zip 17.7 MB 2022-11-08
